import 'package:flutter_modular/flutter_modular.dart';
import 'mocks/auth_repository_mock.dart';
import 'mocks/business_repository_mock.dart';
import 'mocks/home_repository_mock.dart';
import 'mocks/order_repository_mock.dart';
import 'mocks/profile_repository_mock.dart';

/// A module that provides Data Connect dependencies, including mocks.
class DataConnectModule extends Module {
  @override
  void exportedBinds(Injector i) {
    // Make these mocks available to any module that imports this one.
    i.addLazySingleton(AuthRepositoryMock.new);
    i.addLazySingleton(ProfileRepositoryMock.new);
    i.addLazySingleton(HomeRepositoryMock.new);
    i.addLazySingleton(BusinessRepositoryMock.new);
    i.addLazySingleton(OrderRepositoryMock.new);
  }
}
